CVE-2018-6852

Sophos SafeGuard Enterprise before 8.00.5, SafeGuard Easy before 7.00.3, and SafeGuard LAN Crypt before 3.95.2 are vulnerable to Local Privilege Escalation via IOCTL 0x80202298. By crafting an input buffer we can control the execution path to the point where the nt!memset function is called to zero out contents of a user-controlled address. We can take advantage of this condition to zero-out the pointer to the security descriptor in the object header of a privileged process or modify the security descriptor itself and run code in the context of a process running as SYSTEM.

Published : 2018-07-09 18:29 Updated : 2019-10-03 00:03

7.2
CVSS Score More info
Score 7.2 / 10
7.2
Vendor Product Version URI
Sophos Safeguard Easy Device Encryption Client 6.00 cpe:/a:sophos:safeguard_easy_device_encryption_client:6.00
Sophos Safeguard Easy Device Encryption Client 6.10 cpe:/a:sophos:safeguard_easy_device_encryption_client:6.10
Sophos Safeguard Easy Device Encryption Client 7.00 cpe:/a:sophos:safeguard_easy_device_encryption_client:7.00
Sophos Safeguard Enterprise Client 5.60.3 cpe:/a:sophos:safeguard_enterprise_client:5.60.3:vs-nfd
Sophos Safeguard Enterprise Client 6.00 cpe:/a:sophos:safeguard_enterprise_client:6.00
Sophos Safeguard Enterprise Client 6.00.1 cpe:/a:sophos:safeguard_enterprise_client:6.00.1
Sophos Safeguard Enterprise Client 6.10 cpe:/a:sophos:safeguard_enterprise_client:6.10
Sophos Safeguard Enterprise Client 7.00 cpe:/a:sophos:safeguard_enterprise_client:7.00
Sophos Safeguard Enterprise Client 8.00 cpe:/a:sophos:safeguard_enterprise_client:8.00
Sophos Safeguard Lan Crypt Client 3.90.1 cpe:/a:sophos:safeguard_lan_crypt_client:3.90.1:ts
Sophos Safeguard Lan Crypt Client 3.90.2 cpe:/a:sophos:safeguard_lan_crypt_client:3.90.2
Sophos Safeguard Lan Crypt Client 3.95.1 cpe:/a:sophos:safeguard_lan_crypt_client:3.95.1
Sophos Safeguard Lan Crypt Client 3.95.1 cpe:/a:sophos:safeguard_lan_crypt_client:3.95.1:ts
  1. Sophos (3) Search CVE
    1. Safeguard Lan Crypt Client (3) Search CVE
      1. 3.90.1
      2. 3.90.2
      3. 3.95.1
    2. Safeguard Enterprise Client (6) Search CVE
      1. 5.60.3
      2. 6.00
      3. 6.00.1
      4. 6.10
      5. 7.00
      6. 8.00
    3. Safeguard Easy Device Encryption Client (3) Search CVE
      1. 6.00
      2. 6.10
      3. 7.00

CWE

ID Name Description Links
CWE-119 Improper Restriction of Operations within the Bounds of a Memory Buffer The software performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. CVE

History of changes

Date Event
2019-10-03 00:03
2018-09-07 15:40
2018-07-09 18:29

New CVE